<ion-header>
  <ion-navbar>
    <ion-row>
      <ion-col col-9 class="header_left">
          {{title_text}}
      </ion-col>
      <ion-col col-3 class="header_right">
        <ion-icon ios="ios-close" md="md-close" (click)="cancel()"></ion-icon>
      </ion-col>
    </ion-row>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-row>
    <form #addbusinessForm="ngForm" novalidate style="width: 100%;">
      <ion-list>
        <ion-item *ngIf="isBusiness">
          <ion-label floating>{{translate.addBusinessPage[0][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="business_name" [(ngModel)]="business.business_name" #business_name="ngModel" required text-capitalize></ion-input>
        </ion-item>
        <ion-item *ngIf="!isBusiness">
          <ion-label floating>{{translate.addBusinessPage[0][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="business_name" [(ngModel)]="business.business_name" #business_name="ngModel" required [disabled]="true" text-capitalize></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBusinessPage[1][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="gstin" [(ngModel)]="business.gstin" #gstin="ngModel" required text-uppercase (input)="filterState($event)"></ion-input>
        </ion-item>
        <small class="error_message" *ngIf="invalidGstin">{{invalidGstinMessage}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>
        <ion-item>
          <ion-label floating>{{translate.addBusinessPage[2][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="branch" [(ngModel)]="business.branch" #branch="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBusinessPage[3][translate.selectedlanguage]}}</ion-label>
          <ion-select cancelText="Cancel" okText="Select" name="state" [(ngModel)]="business.state" #state="ngModel" required>
            <ion-option *ngFor="let state of states" value="{{state.state_code}}">{{state.state_name}}</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBusinessPage[4][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="email" [(ngModel)]="business.email" #email="ngModel" required text-lowercase></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBusinessPage[5][translate.selectedlanguage]}}</ion-label>
          <ion-input type="tel" name="phone" [(ngModel)]="business.phone" #phone="ngModel" required (input)="validateMobile()"></ion-input>
        </ion-item>
        <small class="error_message" *ngIf="invalidMobile">{{invalidMobileMessage}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>
        <ion-item>
          <ion-label floating>{{translate.addBusinessPage[6][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="address_one" id="address_one" [(ngModel)]="business.address_one" #address_one="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBusinessPage[7][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="address_two" id="address_two" [(ngModel)]="business.address_two" #address_two="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBusinessPage[8][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="place" id="place" [(ngModel)]="business.place" #place="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addBusinessPage[9][translate.selectedlanguage]}}</ion-label>
          <ion-input type="tel" name="pincode" id="pincode" [(ngModel)]="business.pincode" #pincode="ngModel" required (input)="validatePincode()"></ion-input>
        </ion-item>
        <small class="error_message" *ngIf="invalidPincode">{{invalidPincodeMessage}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>
        <ion-item>
          <ion-row>
            <ion-col col-3></ion-col>
            <ion-col col-4>
              <button ion-button (click)="cancel()" class="cancel_button">{{translate.addBusinessPage[10][translate.selectedlanguage]}}</button>
            </ion-col>
            <ion-col col-1></ion-col>
            <ion-col col-4>
              <button ion-button type="submit" (click)="save()" [disabled]="(addbusinessForm.invalid || (invalidGstin||invalidMobile||invalidPincode))" class="save_button">{{translate.addBusinessPage[11][translate.selectedlanguage]}}</button>
            </ion-col>
          </ion-row>
        </ion-item>
      </ion-list>
    </form>
  </ion-row>
</ion-content>
